Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158712 - cpan2rpm fails on zip files
Summary: cpan2rpm fails on zip files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpan2rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gavin Henry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 02:36 UTC by Jonathan Kamens
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.028-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-18 13:30:43 UTC


Attachments (Terms of Use)
patch to fix the problem (deleted)
2005-05-25 02:36 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2005-05-25 02:36:28 UTC
cpan2rpm tries to handle CPAN source files that are .zip rather than .tar.gz, 
but it fails because it tries to call "tar t" on the zip file.  Attached diff 
fixes this.  It's dependent on the diff I submitted in another bug earlier 
tonight.

I ran the diff with whitespace ignored, so you'll probably want to reindent 
after applying the patch.

Comment 1 Jonathan Kamens 2005-05-25 02:36:28 UTC
Created attachment 114811 [details]
patch to fix the problem

Comment 2 Christian Iseli 2007-01-19 07:21:33 UTC
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.